package applet;

import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JApplet;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class TestApplet extends JApplet
{
	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JDialog nonModelDialog;
	private JDialog modelDialog;
	private JFrame frame;

	public void init()
	{
		this.setSize(320, 240);
		this.setContentPane(getJContentPane());
	}

	private JPanel getJContentPane()
	{
		if (jContentPane == null)
		{
			jContentPane = new JPanel(new FlowLayout(FlowLayout.CENTER, 4, 4));
			JButton nonModeDialogBtn = new JButton("Open non-model Dialog");
			JButton modeDialogBtn = new JButton("Open model Dialog");
			JButton frameBtn = new JButton("Open frame");
			
			nonModeDialogBtn.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e) {
					openNonModelDialog();
				}
			});
			
			modeDialogBtn.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e) {
					openModelDialog();
				}
			});
			frameBtn.addActionListener(new ActionListener(){
				public void actionPerformed(ActionEvent e) {
					openFrame();
				}
			});
			
			jContentPane.add(nonModeDialogBtn);
			jContentPane.add(modeDialogBtn);
			jContentPane.add(frameBtn);			
		}
		return jContentPane;
	}
	
	private void openNonModelDialog()
	{
		if(nonModelDialog==null)
		{
			nonModelDialog = new JDialog();
			nonModelDialog.setTitle("Non-Model Dialog");
			nonModelDialog.setModal(false);
			nonModelDialog.setSize(320, 240);
			nonModelDialog.setLocation(10, 10);
		}
		nonModelDialog.setVisible(true);
		nonModelDialog.toFront();
	}
	
	private void openModelDialog()
	{
		if(modelDialog==null)
		{
			modelDialog = new JDialog();
			modelDialog.setTitle("Model Dialog");
			modelDialog.setModal(true);
			modelDialog.setSize(320, 240);
			modelDialog.setLocation(10, 10);
		}
		modelDialog.setVisible(true);
	}
	
	private void openFrame()
	{
		if(frame==null)
		{
			frame = new JFrame("Test Frame");
			frame.setSize(320, 240);
			frame.setLocation(10, 10);
		}
		frame.setVisible(true);
		frame.toFront();
	}

}